דילוג לתוכן

Veo 3.1

שילוב

מזהה מודל veo3.1
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veo3.1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "{\n  \"shot\": {\n    \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n    \"lens\": \"35mm\",\n    \"frame_rate\": \"24fps\",\n    \"camera_movement\": \"static\"\n  },\n\n  \"subject\": {\n    \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n    \"wardrobe\": \"\",\n    \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n  },\n\n  \"scene\": {\n    \"location\": \"large, clear industrial factory floor\",\n    \"time_of_day\": \"midday\",\n    \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n  },\n\n  \"visual_details\": {\n    \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n    \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n    \"hair_clothing_motion\": \"\"\n  },\n\n  \"cinematography\": {\n    \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n    \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n    \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n  },\n\n  \"audio\": {\n    \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n    \"ambient\": \"deep factory hum, subtle air movements\",\n    \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n    \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n  },\n\n  \"dialogue\": {\n    \"character\": \"\",\n    \"line\": \"\",\n    \"subtitles\": false\n  }\n}",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

בקשה זו: ⁨‏0.80 ‏$⁩ 800 קרדיטי API הרצה בדף הזה

קבלת מפתח API
Google טקסט לווידאו אודיו מובנהפלט 4K4–8 שניותעד 4k #audio#dialogue

מודל הווידאו המוביל של Google, לקליפים באורך 4 עד 8 שניות עם דיאלוג וקול, עד 4K.

דוגמאות

פלט · ~63 שניות

פרומפט{ "shot": { "composition": "wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike", "lens": "35mm", "frame_rate": "24fps", "camera_movement": "static" }, "subject": { "description": "a futuristic, strong motorbike assembling itself from scattered parts", "wardrobe": "", "props": "mechanical parts, gears, wires, pistons, body panels, wheels" }, "scene": { "location": "large, clear industrial factory floor", "time_of_day": "midday", "environment": "shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze" }, "visual_details": { "action": "motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle", "special_effects": "electric zaps, soft glows, heat distortion waves rising from the exhaust", "hair_clothing_motion": "" }, "cinematography": { "lighting": "bright overhead industrial lighting with sharp contrast, emphasizing form and texture", "color_palette": "warm tones with metallic highlights and soft amber reflections", "tone": "epic and intense, emphasizing mechanical precision and power" }, "audio": { "music": "minimalist, deep synthetic pulses that build with the assembly", "ambient": "deep factory hum, subtle air movements", "sound_effects": "clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble", "mix_level": "cinematic mix with prioritized effects and balanced music bed" }, "dialogue": { "character": "", "line": "", "subtitles": false } }

4s720pgenerate_audio: false⁨‏0.80 ‏$⁩ · 800 קרדיטי API

פרומפט מאת @azed_ai ב-X

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

•חובה 1674 / 20000

תיאור טקסטואלי של הווידאו הרצוי ליצירה.

duration 4 s

אורך וידאו הפלט.

aspect_ratio ברירת מחדל 16:9

היחס בין רוחב לגובה של הווידאו שנוצר.

resolution

הרזולוציה המשמשת לווידאו הפלט.

מתקדם negative_prompt · safety_tolerance · seed · auto_fix

הנחיה שלילית המשמשת להכוונת יצירת וידאו.

safety_tolerance ברירת מחדל 4

הגדרת סבילות סינון התוכן בין הרמה המגבילה פחות, 6, לרמה המחמירה ביותר, 1, שחוסמת את רוב התוכן.

ערך Seed המאתחל יצירת מספרים אקראיים.

POST /run/veo3.1?wait=20 הצעת מחיר → ⁨‏0.80 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veo3.1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "{\n  \"shot\": {\n    \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n    \"lens\": \"35mm\",\n    \"frame_rate\": \"24fps\",\n    \"camera_movement\": \"static\"\n  },\n\n  \"subject\": {\n    \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n    \"wardrobe\": \"\",\n    \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n  },\n\n  \"scene\": {\n    \"location\": \"large, clear industrial factory floor\",\n    \"time_of_day\": \"midday\",\n    \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n  },\n\n  \"visual_details\": {\n    \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n    \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n    \"hair_clothing_motion\": \"\"\n  },\n\n  \"cinematography\": {\n    \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n    \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n    \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n  },\n\n  \"audio\": {\n    \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n    \"ambient\": \"deep factory hum, subtle air movements\",\n    \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n    \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n  },\n\n  \"dialogue\": {\n    \"character\": \"\",\n    \"line\": \"\",\n    \"subtitles\": false\n  }\n}",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

נוצר ב-Doitong

יצירות ציבוריות שנוצרו עם Veo 3.1 על ידי קהילת Doitong. אפשר להשתמש מחדש בפרומפט בלחיצה אחת.

יצירות ציבוריות שמוצגות: 16
Art style: Modern Webtoon Illustration. Нари спокойно лежит с закрытыми глазами. Внезапно она рез... ווידאו

Art style: Modern Webtoon Illustration. Нари спокойно лежит с закрытыми глазами. Внезапно она резко открывает оба глаза, выражая испуг и осознание, что проспала. Быстрое, чёткое комедийное движение. Голова, волосы, подушка и одеяло остаются практически неподвижными. Камера статична. Сохранить...

Art style: Реалистичный кулинарный блог. Камера совершает медленный наезд на ведущую. Она продолж... ווידאו

Art style: Реалистичный кулинарный блог. Камера совершает медленный наезд на ведущую. Она продолжает говорить, используя выразительную жестикуляцию рук. Ее движения плавные и открытые. Она слегка наклоняется вперед, создавая более тесный контакт со зрителем. На заднем плане можно заметить детали...

Art style: Реалистичный кулинарный блог. Камера медленно пролетает над противнем по диагонали. Па... ווידאו

Art style: Реалистичный кулинарный блог. Камера медленно пролетает над противнем по диагонали. Пальцы ведущей совершают щепотку, и семена кунжута веером рассыпаются над булочками, медленно падая и прилипая к блестящей поверхности. Видно, как под весом семян слой желтка слегка прогибается....

ווידאו

Slow pan across the trees with icons, focusing on the man's hopeful face as he looks up. Off-screen voiceover (all characters have their mouths closed, no one is speaking on screen): Narrator: "Останавливаясь у икон, развешанных прямо на деревьях вдоль тропы, Андрей искренне просил о встрече с...

ווידאו

Женщина громко смеется вместе с друзьями, но внезапно ее смех обрывается, и она с тревогой смотрит вниз. Камера фокусируется на изменении ее настроения от радости к испугу. Off-screen voiceover (all characters have their mouths closed, no one is speaking on screen): Voice: Мужской голос,...

ווידאו

Камера медленно и драматично приближается к плачущему мальчику, стоящему в центре кадра. Мальчики-хулиганы вокруг него активно жестикулируют, жестоко смеются и агрессивно тычут в него пальцами. Проливной дождь льет без остановки, тяжелые капли эффектно разбиваются об асфальт, создавая брызги....

Art style: 3D Anthro. Mr. Pomegranate lifts the portraits: "Two grooms. The famous Leo Lime... an... ווידאו

Art style: 3D Anthro. Mr. Pomegranate lifts the portraits: "Two grooms. The famous Leo Lime... and a man nobody has ever seen." Mia jumps up and points at the Lime portrait, bratty voice: "The famous one is mine! Give the mystery guy to the ghost." Grana sits still. SPOKEN LINE — AUTHORITATIVE,...

ווידאו

Кинематографичная сцена в современном офисном коридоре. Огромная дверь с надписью «Фарм» резко открыта, изнутри виден пиксельный мир в стиле Minecraft: квадратные фермы, зелёные блоки, механизмы, лёгкое зелёное и тёплое свечение. Из двери выходит главный герой — толстый, неприятного вида, немного...

מידע על Veo 3.1

Veo 3.1 מפיק חומר מציאותי מאוד עם דיאלוג מסונכרן לשפתיים, צלילי סביבה ומוזיקה שנוצרים באותו מעבר, ועוקב בקפידה אחר הוראות מצלמה ותאורה. הקליפים באורך 4, 6 או 8 שניות, לרוחב או לאורך, ברזולוציה 720p, 1080p או 4K. ניתן לכבות את השמע למחיר נמוך יותר.

פרמטרים

שםסוג ברירת מחדלמותר תיאור
promptחובה
סוגstring
≤ 20,000 תווים
תיאור טקסטואלי של הווידאו הרצוי ליצירה.
aspect_ratioאופציונלי
סוגenum
ברירת מחדל16:9
16:99:16
היחס בין רוחב לגובה של הווידאו שנוצר.
durationאופציונלי
סוגenum
ברירת מחדל8s
4s6s8s
אורך וידאו הפלט.
negative_promptאופציונלי
סוגstring | null
הנחיה שלילית המשמשת להכוונת יצירת וידאו.
resolutionאופציונלי
סוגenum
ברירת מחדל720p
720p1080p4k
הרזולוציה המשמשת לווידאו הפלט.
generate_audioאופציונלי
סוגboolean
ברירת מחדלtrue
קובע אם הווידאו כולל אודיו שנוצר.
seedאופציונלי
סוגinteger | null
ערך Seed המאתחל יצירת מספרים אקראיים.
auto_fixאופציונלי
סוגboolean
ברירת מחדלtrue
שכתוב אוטומטי של הנחיות בניסיון לפתור כשלים בבדיקות מדיניות תוכן או באימות אחר.
safety_toleranceאופציונלי
סוגenum
ברירת מחדל4
123456
הגדרת סבילות סינון התוכן בין הרמה המגבילה פחות, 6, לרמה המחמירה ביותר, 1, שחוסמת את רוב התוכן.
חובה

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veo3.1",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "prompt": "A street interviewer in New York asks a passer-by \"Did you hear the news?\" and she laughs \"Everyone has!\"",
    "duration": 8,
    "resolution": "720p"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
video
object {url, content_type, file_name, file_size}וידאו שהופק על ידי המודל.

מודלים נוספים: טקסט לווידאו

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/veo3.1.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt